%% Clear Workspace and Close figures
clear; close all; clc;

%% Intialize Laplace variable
s = zpk('s');

%% Path for functions, data and scripts
addpath('./mat/'); % Path for data

%% Colors for the figures
colors = colororder;

%% Measured gap for the 16 flexible joints
meas_flex = [[223, 226, 224, 214];
             [229, 231, 237, 224];
             [234, 230, 239, 231];
             [233, 227, 229, 232];
             [225, 212, 228, 228];
             [220, 221, 224, 220];
             [206, 207, 228, 226];
             [230, 224, 224, 223];
             [223, 231, 228, 233];
             [228, 230, 235, 231];
             [197, 207, 211, 204];
             [227, 226, 225, 226];
             [215, 228, 231, 220];
             [216, 224, 224, 221];
             [209, 214, 220, 221];
             [213, 210, 230, 229]];

%% Histogram of the measured gap
figure;
hold on;
histogram([(meas_flex(:,1)+meas_flex(:,2))/2,(meas_flex(:,3)+meas_flex(:,4))/2], 7)
hold off;
xlabel("Measured beam thickness [$\mu m$]");
xticks([200, 205, 210, 215, 220, 225, 230, 235])

%% Save beam sizes
save('./mat/flex_meas_dim.mat', 'meas_flex');
